Bug 1766126 - libsolv assumes rpmdb is in Berkeley DB format
Summary: libsolv assumes rpmdb is in Berkeley DB format
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libsolv
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1766120
TreeView+ depends on / blocked
 
Reported: 2019-10-28 11:14 UTC by Panu Matilainen
Modified: 2019-11-17 01:31 UTC (History)
7 users (show)

Fixed In Version: libsolv-0.7.8-1.fc30 libsolv-0.7.8-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-17 01:13:36 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openSUSE libsolv issues 354 0 'None' closed libsolv assumes Berkeley DB rpmdb paths 2020-12-01 18:21:14 UTC

Description Panu Matilainen 2019-10-28 11:14:02 UTC
As of libsolv 0.7.7 at least, libsolv assumes that the rpmdb has a file named Packages in /var/lib/rpm, which is not true with other backends. Upstream has a workaround (see ticket https://github.com/openSUSE/libsolv/issues/354), this is mainly for tracking purposes on Fedora.

Comment 1 Panu Matilainen 2019-10-29 10:06:09 UTC
For the record, with these commits libsolv 0.7.7 appears functional with alternative backends for testing purposes at least:
https://github.com/openSUSE/libsolv/commit/94df5d6bf2eec3fc555550307342e250e2b842c6
https://github.com/openSUSE/libsolv/commit/ea037722b0f2a1afc8416e08b36fd498a8bb14c4

Comment 2 Fedora Update System 2019-11-12 12:57:44 UTC
FEDORA-2019-0735fed56c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0735fed56c

Comment 3 Fedora Update System 2019-11-12 12:57:44 UTC
FEDORA-2019-b9a002c8c9 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b9a002c8c9

Comment 4 Fedora Update System 2019-11-13 10:46:52 UTC
libsolv-0.7.8-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b9a002c8c9

Comment 5 Fedora Update System 2019-11-13 10:52:37 UTC
libsolv-0.7.8-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0735fed56c

Comment 6 Fedora Update System 2019-11-17 01:13:36 UTC
libsolv-0.7.8-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-11-17 01:31:12 UTC
libsolv-0.7.8-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.